"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.yargsSyncCommand = void 0;
exports.yargsSyncCommand = {
    command: 'sync',
    describe: 'Sync the workspace configuration by running the registered sync generators.',
    builder: (yargs) => yargs
        .option('check', {
        type: 'boolean',
        description: 'Check if the workspace is in sync without making changes',
    })
        .option('verbose', {
        type: 'boolean',
        description: 'Prints additional information about the commands (e.g., stack traces)',
    })
        .example('$0 --check', 'Check if the workspace is in sync without making changes. It throws an error and exits with a non-zero status code if the workspace is not in sync'),
    handler: async (args) => {
        process.exit(await Promise.resolve().then(() => require('./sync')).then((m) => m.addHandler(args)));
    },
};
